> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Records



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /insight/
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /insight/:
    get:
      tags:
        - insight
      summary: Get Records
      operationId: get_records_insight__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    RecordResponse:
      properties:
        total:
          type: integer
          title: Total
        remaining_size_mb:
          type: number
          title: Remaining Size Mb
        records:
          items:
            $ref: '#/components/schemas/RecordItem'
          type: array
          title: Records
      type: object
      required:
        - total
        - remaining_size_mb
        - records
      title: RecordResponse
    RecordItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        size_mb:
          type: number
          title: Size Mb
        creation_date:
          type: string
          format: date-time
          title: Creation Date
        modified_date:
          type: string
          format: date-time
          title: Modified Date
        status:
          $ref: '#/components/schemas/RecordStatus'
        is_archived:
          type: boolean
          title: Is Archived
        is_public:
          type: boolean
          title: Is Public
        participants_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Count
        respondents_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Respondents Count
        respondent_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Respondent Names
        has_reports:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Reports
        duration_sec:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Sec
        file_extension:
          anyOf:
            - type: string
            - type: 'null'
          title: File Extension
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        file_path:
          anyOf:
            - type: string
            - type: 'null'
          title: File Path
        type:
          type: string
          title: Type
          default: text
        project:
          anyOf:
            - type: string
            - type: 'null'
          title: Project
      type: object
      required:
        - id
        - name
        - size_mb
        - creation_date
        - modified_date
        - status
        - is_archived
        - is_public
        - participants_count
        - respondents_count
        - respondent_names
      title: RecordItem
    RecordStatus:
      type: string
      enum:
        - Uploaded
        - InQueue
        - InProgress
        - Finished
        - Error
      title: RecordStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````